//import Client from "./client.js"
import * as urls from './urls.js';

class Accounts
{
	/**
     * @param {Client} client - the client
    */
	constructor(client)
	{
		this.client = client;
	}

	/**
     * Create an accounts
     *
     * @param {string} username - The username of the accounts
     * @param {string} password - The password of the accounts
    */
	async create(username, password)
	{
		this.client._post(urls.accounts_register, {'username': username, 'password': password})
	}
}

export {Accounts}